Drop support for .NET Standard 1.5

Description

We should remove support for .NET Standard 1.5 and continue supporting 2.0, along with .NET Framework 4.5.

https://dotnet.microsoft.com/platform/dotnet-standard#versions

The only effective target we would be loosing is .NET Core 1.0 and 1.1, that reached EOL earlier this year.

That would simplify the build and it'd allow us to remove unnecessary guards.

Environment

None

Pull Requests

None

Status

Assignee

Unassigned

Reporter

Jorge Bay Gondra

Labels

None

Reproduced in

None

PM Priority

None

Fix versions

None

External issue ID

None

External issue ID

None

External issue ID

None

External issue ID

None

External issue ID

None

External issue ID

None

Doc Impact

None

Reviewer

None

Epic Link

None

Sprint

Size

None

Priority

Major
Configure